aboutsummaryrefslogtreecommitdiffstats
path: root/main/sems/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-16 12:32:42 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-16 12:32:42 +0000
commit0afdf285803c0a212c23a4478675ec3adc0ae319 (patch)
treebc10f2dbb91c36a09b524ae6a87fbafad5263a46 /main/sems/APKBUILD
parent66762f7c4ea2936653ac1e097c3430d648ab175a (diff)
downloadaports-0afdf285803c0a212c23a4478675ec3adc0ae319.tar.gz
aports-0afdf285803c0a212c23a4478675ec3adc0ae319.tar.bz2
aports-0afdf285803c0a212c23a4478675ec3adc0ae319.tar.xz
main/sems: build fix for gcc6
Diffstat (limited to 'main/sems/APKBUILD')
-rw-r--r--main/sems/APKBUILD7
1 files changed, 6 insertions, 1 deletions
diff --git a/main/sems/APKBUILD b/main/sems/APKBUILD
index 6ff472d366..e2f47bd8be 100644
--- a/main/sems/APKBUILD
+++ b/main/sems/APKBUILD
@@ -28,6 +28,8 @@ source="$pkgname-$pkgver.tar.gz::https://github.com/sems-server/sems/archive/$pk
sems-0005-stats-needs-version.patch
sems-0011-Add-SBC-dependencies.patch
std-types.patch
+ sems-0013-Fix-for-C-11.patch
+
sems.initd
"
# sems-0005-Add-sw_prepaid_sip-plugin-to-default-exclude-list-du.patch
@@ -73,7 +75,7 @@ build() {
-DSEMS_EXEC_PREFIX=/usr \
-DSEMS_LIBDIR=lib \
|| return 1
- make
+ make || return 1
}
package() {
@@ -264,6 +266,7 @@ b8efd1a6415afa08f7c676f6976fca36 sems-0002-Allow-rewrite-of-custom-makefiles-by
305081ea41aebd3544cc2c528f7612c6 sems-0005-stats-needs-version.patch
43a7423bb809b40a635f56f57c4d8fa1 sems-0011-Add-SBC-dependencies.patch
bbcbee0f73342b4c35deff15c1d708d5 std-types.patch
+d9e752348c9e90bda4bb90278f84802c sems-0013-Fix-for-C-11.patch
4b537f18cda6c72d7afda582a6f5858e sems.initd"
sha256sums="fd8ece47ea2ef47f7dc62a410ec94f5a162531ce7c1a9a4e5979b8b1d944fd63 sems-1.6.0.tar.gz
a36950f68e78af21f0e1152bb01e2f25f74b8c63210eecc01e4a4f90cf841371 sems-0001-Force-to-use-system-wide-GSM-includes.patch
@@ -273,6 +276,7 @@ be53fb504459c59d31d03a89246cba555d796b9b08516e08f50a15ce423d4618 sems-0004-musl
0609ddae2ce3035e5d0dc40e33814dcc83dd848ae854e535e8b3140bb5f23eda sems-0005-stats-needs-version.patch
a573a0f5dda4f5d89ed582ab7c337469ed4f1fd86082fa20d7ac973591eb4b66 sems-0011-Add-SBC-dependencies.patch
c4aac6f50d8ba85d389a859d9067fb7e7589daf4b84cd1d68ac231bcdb0d2aeb std-types.patch
+46998ca77b6abb1577e0f4b18ac555529fb2d5694fd6045171e10ada42731df9 sems-0013-Fix-for-C-11.patch
5bc8ece09cf1c47c8f0880fdeca40d1e72eb4bc5c6356ffc2d738179b9463e19 sems.initd"
sha512sums="80190dbdc1d68dc7aa377b2af6a962f08c058a42cd618cb422d6d4e0f9138059fad71b7f284c6420de462ad4dcd65ea5e65b3c5b82dc1850dbd5b5a45644d3d4 sems-1.6.0.tar.gz
87c6f878c3ad5e947a9a80431ddf28f08c04ce1415b7c42878f66b423c78d909efda836c7c2d3ed97e075c08d7a07c4707a49c14ce42c1a3aa350de1878c8d09 sems-0001-Force-to-use-system-wide-GSM-includes.patch
@@ -282,4 +286,5 @@ ba6f0d917464729c63628255bee3d864a954af4a510b802f0de1d51f35ff5d7c1c33cbe14db31818
28f07142a0b8b6698948d41bfb198e59637d5a921960adc496111b5cad4685a0b1cade821ac9cd9dbbf3f25ed6195f29485a12d077abf81428b9b6f8bfced79e sems-0005-stats-needs-version.patch
d616448e70d1cdfc7016f7ff3cab3615063a65f551b4b03cd004ced60b7a24681e85a871788ef2bf13d37c6cb3c84a6d76ba44fd9b9d1a921ad4b8469f3c6ed1 sems-0011-Add-SBC-dependencies.patch
79e3ac2b202b3f6c710b3d2bc8ac459e3622f2bf5945eaaa81778f53bcbddc7951266f88c2fd9862fbed44f10a160368af7d19b5e81929a3b1e8ee150111f74b std-types.patch
+d21eb55ebcbf3d20703dcb3843415b9f7e8d4fa029396738b843d8ece80abf87475e7d06794f86c75e8c3205273c013e99da4772d169bf127d7985522230265a sems-0013-Fix-for-C-11.patch
5be93b6444a9592daa6c883c78e5906e9e662891e1daa850d872bdaa657eb756f1bc0879732033479b279b75c2fd42ef79aa530ebf3b1692e7fb222d484f804b sems.initd"